cURL
curl --request GET \
--url https://app.revyops.com/api/public/people \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.revyops.com/api/public/people"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.revyops.com/api/public/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"total_pages": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"emails": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"linkedin_urls": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"phones": [
{
"value": "<string>",
"company_id": 123,
"job_title": "<string>",
"status": "<string>",
"previous_status": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"origin": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"field_name": "<string>",
"field_value": "<string>"
}
]
}
]
}People
List People
Searches people records for the authenticated API client. Filters match at the person level across all contacts attached to the person.
GET
/
public
/
people
cURL
Authorizations
Query Parameters
Filter by company domain
Filter by email
Filter by first name
Filter by last name
Filter by LinkedIn URL
Page number (1-based)
Number of people records per page (max 100)
Filter by phone number
Was this page helpful?

